Package org.apache.calcite.avatica.remote

# Interface TrustStoreConfigurable

@Deprecated public interface TrustStoreConfigurable
Deprecated.
Allows a truststore (and password) to be provided to enable TLS authentication.

## Method Summary

Modifier and Type
Method
Description
`void`
`setTrustStore(File truststore, String password)`
Deprecated.
Sets a truststore containing the collection of trust SSL/TLS server certificates to use for HTTPS calls and the password for that truststore.

## Method Details

### setTrustStore

void setTrustStore(File truststore, String password)
Deprecated.
Sets a truststore containing the collection of trust SSL/TLS server certificates to use for HTTPS calls and the password for that truststore.

Parameters:
  `truststore` - The truststore on the local filesystem
  `password` - The truststore's password